Skip to main content
POST
/
device
/
maintenance
/
command
Send Maintenance Command
curl --request POST \
  --url https://api.getmelody.io/device/maintenance/command \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "command": "START_CALIBRATION",
  "screen_id": 6
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.getmelody.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Device Token for SDK operations. Obtain via: GET /api/haptics/device/device_token Format: {device_id}-{1|2}-{random} Note: ApiToken (from POST /device/otp/confirm) can also be used for most SDK endpoints.

Body

application/json

The maintenance command of the device.

command
enum<string>

The maintenance command to be sent to the device.

START_CALIBRATION: Start calibration of the device. Receiver finds lowest & highest mechanical positions & lowest & highest hall sensor positions. Can be entered from device menu or by WiFi mode service command.

START_OTA: Start OTA update of the device. Device checks lates available firmware from haptics-connect server & prompts user to confirm update if it`s available. Can be entered from WiFi mode with service command, or by initiating update from device menu while being connected to WiFi.

SET_CURRENT_SCREEN: Navigate the device display to a specific screen. Requires screen_id field in the request body.

Available options:
START_CALIBRATION,
START_OTA,
SET_CURRENT_SCREEN
Example:

"START_CALIBRATION"

screen_id
integer

Screen to navigate to. Required when command is SET_CURRENT_SCREEN. Ignored for other commands.

Available values: 2 (Main), 3 (Manual), 5 (Settings), 6 (WiFi), 7 (BLE), 8 (Range Adjustment), 9 (Speed Adjustment), 10 (Brightness), 11 (Info), 12 (Calibration), 13 (Firmware Update), 14 (OTP), 15 (Reset Settings).

Required range: 2 <= x <= 15
Example:

6

Response

200

OK